org.apache.fop.layoutmgr

## Class SpaceResolver.SpaceHandlingBreakPosition

- java.lang.Object
- - org.apache.fop.layoutmgr.Position
  - - org.apache.fop.layoutmgr.SpaceResolver.SpaceHandlingBreakPosition

Enclosing class:
  SpaceResolver

    public static class SpaceResolver.SpaceHandlingBreakPosition
    extends Position

Position class for break possibilities. It is used to notify layout manager about the effective spaces and conditional lengths.

### Constructor Summary

Constructors
Constructor and Description
`SpaceHandlingBreakPosition(SpaceResolver resolver, BreakElement breakPoss)` Main constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Position` `getOriginalBreakPosition()`
`Position` `getPosition()` Overridden by NonLeafPosition to return the Position of its child LM.
`SpaceResolver` `getSpaceResolver()`
`void` `notifyBreakSituation(boolean isBreakSituation, RelSide side)` Notifies all affected layout managers about the current situation in the part to be handled for area generation.
`String` `toString()`

### Methods inherited from class org.apache.fop.layoutmgr.Position

`generatesAreas, getIndex, getLM, getLM, getPosition, getShortLMName, setIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SpaceHandlingBreakPosition

    public SpaceHandlingBreakPosition(SpaceResolver resolver,
                                      BreakElement breakPoss)

Main constructor.

Parameters:
  `resolver` - the space resolver that provides the info about the actual situation
  `breakPoss` - the original break possibility that creates this Position

### Method Detail

#### getSpaceResolver

    public SpaceResolver getSpaceResolver()

Returns:
  the space resolver

#### notifyBreakSituation

    public void notifyBreakSituation(boolean isBreakSituation,
                                     RelSide side)

Notifies all affected layout managers about the current situation in the part to be handled for area generation.

Parameters:
  `isBreakSituation` - true if this is a break situation.
  `side` - defines to notify about the situation whether before or after the break. May be null if isBreakSituation is null.

#### toString

    public String toString()

Overrides:
  `toString` in class `Position`

#### getOriginalBreakPosition

    public Position getOriginalBreakPosition()

Returns:
  the original Position instance set at the BreakElement that this Position was created for.

#### getPosition

    public Position getPosition()

Overridden by NonLeafPosition to return the Position of its child LM.

Overrides:
  `getPosition` in class `Position`
Returns:
  a position or null